{
	"patcher" : 	{
		"fileversion" : 1,
		"rect" : [ 374.0, 44.0, 770.0, 730.0 ],
		"bglocked" : 0,
		"defrect" : [ 374.0, 44.0, 770.0, 730.0 ],
		"openrect" : [ 0.0, 0.0, 0.0, 0.0 ],
		"openinpresentation" : 0,
		"default_fontsize" : 12.0,
		"default_fontface" : 0,
		"default_fontname" : "Arial",
		"gridonopen" : 0,
		"gridsize" : [ 15.0, 15.0 ],
		"gridsnaponopen" : 0,
		"toolbarvisible" : 1,
		"boxanimatetime" : 200,
		"imprint" : 0,
		"enablehscroll" : 1,
		"enablevscroll" : 1,
		"devicewidth" : 0.0,
		"boxes" : [ 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Create our two plane matrix of repositioning coordinates!",
					"linecount" : 3,
					"presentation_rect" : [ 399.0, 599.0, 0.0, 0.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 394.0, 608.0, 139.0, 48.0 ],
					"id" : "obj-34",
					"numoutlets" : 0,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Control the camera input and the video output window",
					"linecount" : 6,
					"presentation_rect" : [ 197.0, 679.0, 0.0, 0.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 139.0, 587.0, 74.0, 89.0 ],
					"id" : "obj-33",
					"numoutlets" : 0,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Reposition the input video",
					"presentation_rect" : [ 65.0, 426.0, 0.0, 0.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 50.0, 365.0, 153.0, 20.0 ],
					"id" : "obj-31",
					"numoutlets" : 0,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "Load a video stream or camera input ",
					"linecount" : 2,
					"presentation_rect" : [ 41.0, 169.0, 0.0, 0.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 23.0, 143.0, 181.0, 34.0 ],
					"id" : "obj-29",
					"numoutlets" : 0,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "loadbang",
					"presentation_rect" : [ 78.0, 420.0, 0.0, 0.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 45.0, 399.0, 60.0, 20.0 ],
					"id" : "obj-28",
					"numoutlets" : 1,
					"outlettype" : [ "bang" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "This patch relies on patches from week5:  video_in, video_out, and make_camera_in",
					"linecount" : 2,
					"presentation_rect" : [ 393.0, 588.0, 0.0, 0.0 ],
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 16.0, 78.0, 383.0, 34.0 ],
					"id" : "obj-7",
					"numoutlets" : 0,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "recall: our gradients are stored as planes r and g",
					"linecount" : 2,
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 263.0, 473.0, 164.0, 34.0 ],
					"id" : "obj-26",
					"numoutlets" : 0,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "cast to long values to get rid of decimal values, but keep numbers higher than 255!",
					"linecount" : 2,
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 264.0, 678.0, 266.0, 34.0 ],
					"id" : "obj-23",
					"numoutlets" : 0,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "scale the values to the full pixel dataspace 320 x 240",
					"linecount" : 4,
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 429.0, 434.0, 95.0, 62.0 ],
					"id" : "obj-22",
					"numoutlets" : 0,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "cast values to float and normalize them so that we have fractions between 0 and 1 to scale to the right size. NOTE: interpolation smooths the values of created pixels.",
					"linecount" : 4,
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 281.0, 281.0, 239.0, 62.0 ],
					"id" : "obj-13",
					"numoutlets" : 0,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "the map is 256 x 256 because it can't exceed the dimension of the colorspace (char data values)",
					"linecount" : 5,
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 395.0, 169.0, 135.0, 75.0 ],
					"id" : "obj-12",
					"numoutlets" : 0,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "<- from make_camera_in",
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 373.0, 141.0, 150.0, 20.0 ],
					"id" : "obj-10",
					"numoutlets" : 0,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "freida abtan 2011",
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 415.0, 85.0, 106.0, 20.0 ],
					"id" : "obj-9",
					"numoutlets" : 0,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "This patch uses the distortion map created by modifying the identity map from make_gradients with external video software. It demonstrates the use of seed video to reduce the calculation of a complicated spatial transformation.",
					"linecount" : 3,
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 17.0, 26.0, 508.0, 48.0 ],
					"id" : "obj-5",
					"numoutlets" : 0,
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "jit.matrix 2 long 320 240",
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 250.0, 639.0, 138.0, 20.0 ],
					"id" : "obj-21",
					"numoutlets" : 2,
					"outlettype" : [ "jit_matrix", "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "r movies_metro",
					"fontname" : "Arial",
					"numinlets" : 0,
					"patching_rect" : [ 255.0, 141.0, 93.0, 20.0 ],
					"id" : "obj-20",
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "loadbang",
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 276.0, 170.0, 60.0, 20.0 ],
					"id" : "obj-19",
					"numoutlets" : 1,
					"outlettype" : [ "bang" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "read the_map.mov",
					"fontname" : "Arial",
					"numinlets" : 2,
					"patching_rect" : [ 276.0, 196.0, 111.0, 18.0 ],
					"id" : "obj-18",
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "jit.qt.movie 256 256",
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 255.0, 223.0, 115.0, 20.0 ],
					"id" : "obj-17",
					"numoutlets" : 2,
					"outlettype" : [ "jit_matrix", "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "jit.normalize",
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 255.0, 379.0, 75.0, 20.0 ],
					"id" : "obj-16",
					"numoutlets" : 2,
					"outlettype" : [ "jit_matrix", "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "jit.op @op * @val 240.",
					"fontname" : "Arial",
					"numinlets" : 2,
					"patching_rect" : [ 401.0, 527.0, 130.0, 20.0 ],
					"id" : "obj-15",
					"numoutlets" : 2,
					"outlettype" : [ "jit_matrix", "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "jit.op @op * @val 320.",
					"fontname" : "Arial",
					"numinlets" : 2,
					"patching_rect" : [ 250.0, 526.0, 130.0, 20.0 ],
					"id" : "obj-14",
					"numoutlets" : 2,
					"outlettype" : [ "jit_matrix", "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "jit.matrix 4 float32 320 240 @interp 1",
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 255.0, 351.0, 207.0, 20.0 ],
					"id" : "obj-1",
					"numoutlets" : 2,
					"outlettype" : [ "jit_matrix", "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "message",
					"text" : "mode 0",
					"fontname" : "Arial",
					"numinlets" : 2,
					"patching_rect" : [ 45.0, 429.0, 47.0, 18.0 ],
					"id" : "obj-40",
					"numoutlets" : 1,
					"outlettype" : [ "" ],
					"fontsize" : 11.595187
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "comment",
					"text" : "absolute mode ",
					"linecount" : 2,
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 62.0, 455.0, 54.0, 33.0 ],
					"id" : "obj-52",
					"numoutlets" : 0,
					"fontsize" : 11.595187
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "jit.pack 2",
					"fontname" : "Arial",
					"numinlets" : 2,
					"patching_rect" : [ 250.0, 608.0, 58.0, 20.0 ],
					"id" : "obj-11",
					"numoutlets" : 2,
					"outlettype" : [ "jit_matrix", "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "jit.unpack",
					"fontname" : "Arial",
					"numinlets" : 1,
					"patching_rect" : [ 284.0, 433.0, 73.0, 20.0 ],
					"id" : "obj-8",
					"numoutlets" : 5,
					"outlettype" : [ "jit_matrix", "jit_matrix", "jit_matrix", "jit_matrix", "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "newobj",
					"text" : "jit.repos",
					"fontname" : "Arial",
					"numinlets" : 2,
					"patching_rect" : [ 30.0, 511.0, 53.0, 20.0 ],
					"id" : "obj-6",
					"numoutlets" : 2,
					"outlettype" : [ "jit_matrix", "" ],
					"fontsize" : 12.0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "bpatcher",
					"args" : [  ],
					"numinlets" : 1,
					"patching_rect" : [ 30.0, 588.0, 99.0, 86.0 ],
					"id" : "obj-4",
					"numoutlets" : 0,
					"name" : "video_out.maxpat"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "bpatcher",
					"args" : [  ],
					"numinlets" : 0,
					"patching_rect" : [ 31.0, 683.0, 156.0, 31.0 ],
					"id" : "obj-3",
					"numoutlets" : 0,
					"name" : "make_camera_in.maxpat"
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "bpatcher",
					"args" : [  ],
					"numinlets" : 0,
					"patching_rect" : [ 30.0, 183.0, 168.0, 134.0 ],
					"id" : "obj-2",
					"numoutlets" : 1,
					"name" : "video_in.maxpat",
					"outlettype" : [ "" ]
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"numinlets" : 1,
					"bgcolor" : [ 0.929412, 0.741176, 0.419608, 1.0 ],
					"patching_rect" : [ 8.0, 16.0, 529.0, 101.0 ],
					"id" : "obj-25",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"presentation_rect" : [ 26.0, 122.0, 0.0, 0.0 ],
					"numinlets" : 1,
					"bgcolor" : [ 1.0, 0.576471, 0.34902, 1.0 ],
					"patching_rect" : [ 8.0, 132.0, 214.0, 202.0 ],
					"id" : "obj-27",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"presentation_rect" : [ 31.0, 409.0, 0.0, 0.0 ],
					"numinlets" : 1,
					"bgcolor" : [ 0.639216, 0.454902, 0.145098, 1.0 ],
					"patching_rect" : [ 8.0, 349.0, 214.0, 213.0 ],
					"id" : "obj-30",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"presentation_rect" : [ 30.0, 525.0, 0.0, 0.0 ],
					"numinlets" : 1,
					"bgcolor" : [ 1.0, 0.835294, 0.286275, 1.0 ],
					"patching_rect" : [ 8.0, 577.0, 214.0, 145.0 ],
					"id" : "obj-32",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"presentation_rect" : [ 263.0, 509.0, 0.0, 0.0 ],
					"numinlets" : 1,
					"bgcolor" : [ 1.0, 0.733333, 0.4, 1.0 ],
					"patching_rect" : [ 235.0, 578.0, 303.0, 144.0 ],
					"id" : "obj-35",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"presentation_rect" : [ 263.0, 384.0, 0.0, 0.0 ],
					"numinlets" : 1,
					"bgcolor" : [ 1.0, 0.556863, 0.235294, 1.0 ],
					"patching_rect" : [ 235.0, 426.0, 303.0, 139.0 ],
					"id" : "obj-36",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"presentation_rect" : [ 258.0, 192.0, 0.0, 0.0 ],
					"numinlets" : 1,
					"bgcolor" : [ 0.639216, 0.498039, 0.262745, 1.0 ],
					"patching_rect" : [ 236.0, 132.0, 301.0, 124.0 ],
					"id" : "obj-37",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"presentation_rect" : [ 261.0, 323.0, 0.0, 0.0 ],
					"numinlets" : 1,
					"bgcolor" : [ 0.894118, 0.65098, 0.243137, 1.0 ],
					"patching_rect" : [ 236.0, 271.0, 301.0, 140.0 ],
					"id" : "obj-38",
					"numoutlets" : 0
				}

			}
, 			{
				"box" : 				{
					"maxclass" : "panel",
					"presentation_rect" : [ 23.0, 88.0, 0.0, 0.0 ],
					"numinlets" : 1,
					"bgcolor" : [ 0.407843, 0.180392, 0.015686, 1.0 ],
					"patching_rect" : [ -1.0, 0.0, 547.0, 733.0 ],
					"id" : "obj-39",
					"numoutlets" : 0
				}

			}
 ],
		"lines" : [ 			{
				"patchline" : 				{
					"source" : [ "obj-28", 0 ],
					"destination" : [ "obj-40", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-21", 0 ],
					"destination" : [ "obj-6", 1 ],
					"hidden" : 0,
					"midpoints" : [ 259.5, 668.0, 242.5, 668.0, 242.5, 522.0, 73.5, 522.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-15", 0 ],
					"destination" : [ "obj-11", 1 ],
					"hidden" : 0,
					"midpoints" : [ 410.5, 590.0, 298.5, 590.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-14", 0 ],
					"destination" : [ "obj-11", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-11", 0 ],
					"destination" : [ "obj-21", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-16", 0 ],
					"destination" : [ "obj-8", 0 ],
					"hidden" : 0,
					"midpoints" : [ 264.5, 410.5, 293.5, 410.5 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-20", 0 ],
					"destination" : [ "obj-17", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-19", 0 ],
					"destination" : [ "obj-18", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-18", 0 ],
					"destination" : [ "obj-17", 0 ],
					"hidden" : 0,
					"midpoints" : [ 285.5, 218.0, 264.5, 218.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-8", 2 ],
					"destination" : [ "obj-15", 0 ],
					"hidden" : 0,
					"midpoints" : [ 320.5, 466.0, 410.5, 466.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-8", 1 ],
					"destination" : [ "obj-14", 0 ],
					"hidden" : 0,
					"midpoints" : [ 307.0, 465.5, 259.5, 465.5 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-40", 0 ],
					"destination" : [ "obj-6", 0 ],
					"hidden" : 0,
					"midpoints" : [ 54.5, 479.0, 39.5, 479.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-2", 0 ],
					"destination" : [ "obj-6", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-6", 0 ],
					"destination" : [ "obj-4", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-17", 0 ],
					"destination" : [ "obj-1", 0 ],
					"hidden" : 0,
					"midpoints" : [ 264.5, 251.0, 264.5, 251.0 ]
				}

			}
, 			{
				"patchline" : 				{
					"source" : [ "obj-1", 0 ],
					"destination" : [ "obj-16", 0 ],
					"hidden" : 0,
					"midpoints" : [  ]
				}

			}
 ]
	}

}
